classification
Title: The DEFAULT_ENTROPY variable used to store the current default random bytes value should be documented for `secrets` module
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: steven.daprano Nosy List: docs@python, lig, rhettinger, steven.daprano
Priority: normal Keywords:

Created on 2018-06-25 07:59 by lig, last changed 2020-09-14 14:15 by lig. This issue is now closed.

Messages (1)
msg320402 - (view) Author: Serge Matveenko (lig) * Date: 2018-06-25 07:59
There is the corresponding section on the topic here https://github.com/python/cpython/blob/3.6/Doc/library/secrets.rst#how-many-bytes-should-tokens-use

The current value of 32 bytes is mentioned there correctly.

Unfortunately, there is no way to know which constant in the `secrets` stores this value.

It is easy to imagine a use case to use say `DEFAULT_ENTROPY * 4` in the code and stay updated with the default entropy being increased over time.

Thus, it looks reasonable to document the `secrets.DEFAULT_ENTROPY` constant in the module docs.
History
Date User Action Args
2020-09-14 14:15:47ligsetstatus: open -> closed
stage: resolved
2020-05-14 14:01:56rhettingersetassignee: docs@python -> steven.daprano

nosy: + steven.daprano
2020-05-14 12:00:54ligsetversions: + Python 3.6
2020-05-14 12:00:16ligsetversions: + Python 3.9
2019-03-27 22:29:39cheryl.sabellasetnosy: + rhettinger

versions: - Python 3.6
2018-06-25 07:59:11ligcreate